ICU 70.1: icu::GenderInfo Class Reference

ICU 70.1 70.1

Public Member Functions | Static Public Member Functions | Friends
icu::GenderInfo Class Reference

GenderInfo computes the gender of a list as a whole given the gender of each element. More...

`#include <gender.h>`

Inheritance diagram for icu::GenderInfo:

## Public Member Functions
UGender | getListGender (const UGender *genders, int32_t length, UErrorCode &status) const
| Determines the gender of a list as a whole given the gender of each of the elements. More...
virtual | ~GenderInfo ()
| Destructor. More...
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class. More...

## Static Public Member Functions
static const GenderInfo * | getInstance (const Locale &locale, UErrorCode &status)
| Provides access to the predefined GenderInfo object for a given locale. More...

## Friends
class | ::GenderInfoTest
void | GenderInfo_initCache (UErrorCode &status)

## Detailed Description

GenderInfo computes the gender of a list as a whole given the gender of each element.

Stable:
  ICU 50

Definition at line 48 of file gender.h.

## Constructor & Destructor Documentation

## ◆ ~GenderInfo()

virtual icu::GenderInfo::~GenderInfo | ( |  | ) |
| virtual

Destructor.

Stable:
  ICU 50

## Member Function Documentation

## ◆ getInstance()

static const GenderInfo * icu::GenderInfo::getInstance | ( | const Locale & | locale,
|  | UErrorCode & | status
| ) |  |
| static

Provides access to the predefined GenderInfo object for a given locale.

Parameters

  locale | The locale for which a `GenderInfo` object is returned.
  status | Output param set to success/failure code on exit, which must not indicate a failure before the function call.

Returns
  The predefined `GenderInfo` object pointer for this locale. The returned object is immutable, so it is declared as const. Caller does not own the returned pointer, so it must not attempt to free it.

Stable:
  ICU 50

## ◆ getListGender()

UGender icu::GenderInfo::getListGender | ( | const UGender * | genders,
|  | int32_t | length,
|  | UErrorCode & | status
| ) |  | const

Determines the gender of a list as a whole given the gender of each of the elements.

Parameters

  genders | the gender of each element in the list.
  length | the length of gender array.
  status | Output param set to success/failure code on exit, which must not indicate a failure before the function call.

Returns
  the gender of the whole list.

Stable:
  ICU 50

## Friends And Related Function Documentation

## ◆ ::GenderInfoTest

friend class ::GenderInfoTest
| friend

Definition at line 111 of file gender.h.

## ◆ GenderInfo_initCache

void GenderInfo_initCache | ( | UErrorCode & | status | ) |
| friend

Internal:
  Do not use. This API is for internal use only. Forward Declaration

The documentation for this class was generated from the following file:

- gender.h